package com.ywt.gateway.configuration;

import com.ywt.gateway.model.AppInfo;
import com.ywt.gateway.model.AuthInfo;
import com.ywt.gateway.model.UpstreamInfo;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Walker
 * Created on 2023/11/22
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "biz")
public class BizCfg {
    private List<AppInfo> apps = new ArrayList<>();
    private List<AuthInfo> auths = new ArrayList<>();
    private List<UpstreamInfo> upstreams = new ArrayList<>();
}
