package com.ywt.gateway.model;

import lombok.Data;

/**
 * @author Walker
 * Created on 2023/11/9
 */
@Data
public class RequestRecord {
    private String host;
    private String requestURI;
    private String requestID;
    private String requestBody;
    private String method;
    private long requestOn;
    private String backendAddr;
    private String backendURI;
    private int statusCode;
    private String responseBody;
    private String cliVer;
    private String authData;
    private String authParam;
    private int consume;
}
