/*
package com.ywt.gateway.filter;


import com.kayakwise.dcep.utils.ServletUtils;
import com.kayakwise.enums.DcpActionEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.gateway.filter.GatewayFilterChain;
import org.springframework.cloud.gateway.filter.GlobalFilter;
import org.springframework.cloud.gateway.route.Route;
import org.springframework.cloud.gateway.support.ServerWebExchangeUtils;
import org.springframework.core.Ordered;
import org.springframework.http.server.reactive.ServerHttpRequest;
import org.springframework.stereotype.Component;
import org.springframework.web.server.ServerWebExchange;
import reactor.core.publisher.Mono;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

*/
/**
 * 路由 根据参数修改路由信息
 *//*

@Component
public class RouteFilter implements GlobalFilter, Ordered {
    private static final Logger log = LoggerFactory.getLogger(RouteFilter.class);

    private static final Pattern ESB_SERVICE_CODE_PATTERN = Pattern.compile("<SERVICE_CODE>([^<]+)</SERVICE_CODE>");

    private static final Pattern ESB_SERVICE_SCENE_PATTERN = Pattern.compile("<SERVICE_SCENE>([^<]+)</SERVICE_SCENE>");

    @Override
    public Mono<Void> filter(ServerWebExchange exchange, GatewayFilterChain chain) {
        ServerHttpRequest serverHttpRequest = exchange.getRequest();
        // 获取从请求参数获取serviceCode 和 serviceScene
        String uri = serverHttpRequest.getPath().value();
        if(!uri.startsWith("/esb/inbound")){
           return   chain.filter(exchange);
        }
        exchange.getRequest().getBody();
        String content = ServletUtils.getBody(serverHttpRequest);
        if (content == null) {
            return   chain.filter(exchange);
        }
        Matcher m = ESB_SERVICE_CODE_PATTERN.matcher(content);
        if (!m.find()) {
            return   chain.filter(exchange);
        }
        String serviceCode = m.group(1);
        Matcher m1 = ESB_SERVICE_SCENE_PATTERN.matcher(content);
        if (!m1.find()) {
            return   chain.filter(exchange);
        }
        String serviceScene = m1.group(1);
        //String serviceName = DcpActionEnum.getServiceByServiceCodeAndScene(serviceCode+serviceScene);
        Route route = exchange.getAttribute(ServerWebExchangeUtils.GATEWAY_ROUTE_ATTR);
        Route newRoute = Route.async()
                    .asyncPredicate(route.getPredicate())
                    .filters(route.getFilters())
                    .id(route.getId())
                    .order(route.getOrder())
                    .uri("lb://" + serviceName)
                    .build();
        exchange.getAttributes().put(ServerWebExchangeUtils.GATEWAY_ROUTE_ATTR, newRoute);
        return chain.filter(exchange);
    }

    @Override
    public int getOrder() {
        return -1;
    }

}
*/
