package com.ywt.gateway.model;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author Walker
 * Created on 2023/11/10
 */
@Data
public class AuthInfo {
    private String name;
    private String type;
    private String jwtSecret;
    private String weappid;
    private String scope;
    private String url;
    private Map<String, String> params;
    private String cookieName;

//    private List<String> appids; // TODO: 原网关处理逻辑搞清楚
//    private String authUrl;
    private int maxAge;
    private String cookieDomain;
//    private Map<String, AppInfo> appidMap;
}
