package com.ywt.gateway.model;

import lombok.Data;

import java.util.List;

/**
 * @author Walker
 * Created on 2023/11/22
 */
@Data
public class HostLocationInfo {
    private String url;
    private String rewriteUrl;
    private String matchType;
    private boolean replacePrefixUrl;
    // TODO: 兼容性？
    private List<String> setHeaders;
    private List<String> servers;
    private boolean log;

    private String auth;
    private String refreshAuth;
    private boolean authResponse401;

    private String protocol = "https";
}
