package com.ywt.gateway.model;

import org.springframework.http.HttpStatus;

/**
 * @author Walker
 * Created on 2023/11/10
 */
public class HttpMsgException extends Exception{
    private HttpStatus httpStatus;
    private int statusCode;
    private String message;

    public HttpMsgException(HttpStatus httpStatus, int statusCode, String message) {
        this.httpStatus = httpStatus;
        this.statusCode = statusCode;
        this.message = message;
    }

    public HttpStatus getHttpStatus() {
        return httpStatus;
    }

    public void setHttpStatus(HttpStatus httpStatus) {
        this.httpStatus = httpStatus;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
