package com.ywt.gateway.utils;

import java.util.zip.CRC32;
import java.util.zip.Checksum;

/**
 * @author Walker
 * Created on 2023/11/10
 */
public final class BizUtil {
    public static long getCRC32Checksum(byte[] bytes) {
        Checksum crc32 = new CRC32();
        crc32.update(bytes, 0, bytes.length);
        return crc32.getValue();
    }
}
